Package org.apache.felix.configurator.impl.json

## Class BinaryManager

- java.lang.Object
- - org.apache.felix.configurator.impl.json.BinaryManager

All Implemented Interfaces:
  `org.apache.felix.cm.json.io.ConfigurationReader.BinaryHandler`

    public class BinaryManager
    extends Object
    implements org.apache.felix.cm.json.io.ConfigurationReader.BinaryHandler

### Constructor Summary

Constructors
`BinaryManager​(BinUtil.ResourceProvider provider, JSONUtil.Report report)` Create a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanupFiles()`
`List<File>` `flushFiles​(String pid)`
`String` `handleBinaryValue​(String pid, String key, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryManager

    public BinaryManager​(BinUtil.ResourceProvider provider,
                         JSONUtil.Report report)

Create a new instance

Parameters:
  `provider` - The bundle provider, might be `null`.

### Method Detail

#### handleBinaryValue

    public String handleBinaryValue​(String pid,
                                    String key,
                                    String value)

Specified by:
  `handleBinaryValue` in interface `org.apache.felix.cm.json.io.ConfigurationReader.BinaryHandler`

#### cleanupFiles

    public void cleanupFiles()

#### flushFiles

    public List<File> flushFiles​(String pid)